net.corda.node.services.database

## Class KotlinConfigurationTransactionWrapper.CordaDataSourceConnectionProvider

- net.corda.node.services.database.KotlinConfigurationTransactionWrapper.CordaDataSourceConnectionProvider

- Enclosing class:
    KotlinConfigurationTransactionWrapper

      public static class KotlinConfigurationTransactionWrapper.CordaDataSourceConnectionProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CordaDataSourceConnectionProvider(javax.sql.DataSource dataSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Connection` | `getConnection()`
    `javax.sql.DataSource` | `getDataSource()`

- - ### Constructor Detail

    - #### CordaDataSourceConnectionProvider

          public CordaDataSourceConnectionProvider(javax.sql.DataSource dataSource)

  - ### Method Detail

    - #### getConnection

          public java.sql.Connection getConnection()

    - #### getDataSource

          public javax.sql.DataSource getDataSource()